Name:     xtexcad
Version:  2.4.1
Release:  alt0.M24.2
Packager: Igor Vlasenko <viy@altlinux.org>
License:  Other License(s), see package
Group:    Graphics
Url: http://www.ctan.org/tex-archive/help/Catalogue/entries/xtexcad.html
Provides: texcad xtexcad
Summary:  Drawing program for LaTeX pictures
Source:   %name-%version.tar.gz
Patch:    xtexcad-2.4-flex.patch
Patch1:   xtexcad-2.4.1-CRLF-fix.patch

#TODO: \multiput

# Automatically added by buildreq on Sat Apr 23 2005
BuildRequires: XFree86-devel flex groff-base groff-dvi xpm-devel

%description
A nice drawing program which is especially useful in cooperation
with LaTeX. Note the documentation and COPYRIGHT file in %_docdir.

Authors:
--------
    Klaus Zitzmann <zitzmann@infko.uni-koblenz.de>
    J.K.Wight <J.K.Wight@newcastle.ac.uk>
    Byron  Rakitzis <byron@netapp.com>
    Johannes Sixt <Johannes.Sixt@eudaptics.co.at>
    Notker Amann <amann@isr.uni-stuttgart.de>

%prep
%setup
%patch -p0
%patch1 -p1

%build
xmkmf -a
make
`grog -Tdvi xtexcad.man` > XTeXcad.dvi

%install
make install      DESTDIR=$RPM_BUILD_ROOT
make install.man  DESTDIR=$RPM_BUILD_ROOT
ln -sf xtexcad $RPM_BUILD_ROOT%_x11bindir/texcad

(cd $RPM_BUILD_ROOT
mkdir -p ./%_menudir
cat > ./%_menudir/%{name} <<EOF
?package(%{name}): \
command="%_x11bindir/%{name}" \
title="XTeXCAD" \
longtitle="X TeX CAD" \
needs="x11" \
section="Multimedia/Graphics"
EOF
)

%post
%update_menus
  
%postun
%clean_menus  

%files
%doc COPYRIGHT HISTORY MANIFEST README XTeXcad.dvi
%config(noreplace) %_sysconfdir/X11/app-defaults/*
%_x11bindir/*
%_x11mandir/man?/*
%_menudir/*

%changelog -n texcad
* Sat Nov 19 2005 Igor Vlasenko <viy@altlinux.ru> 2.4.1-alt0.M24.2
- backport for M24

* Sat Nov 19 2005 Igor Vlasenko <viy@altlinux.ru> 2.4.1-alt2
- fixed CRLF files processing

* Sat Apr 23 2005 Igor Vlasenko <viy@altlinux.ru> 2.4.1-alt1
- first build based on SuSE 2.4-1009.1

